package buf2d

// WriteString writes a whole string to the buffer at position (x,y)
// no word wrap is applied at all. If the string does not fit, it will be truncated
func (b *Buffer) WriteString(str string, x, y int) {
	dx := x
	for _, r := range str {
		if dx >= b.width {
			return
		}
		b.Set(dx, y, r)
		dx++
	}
}

// Fill fills the whole buffer with c
func (b *Buffer) Fill(c rune) {
	for _, col := range b.data {
		for ri := range col {
			col[ri] = c
		}
	}
}
